Package org.apache.storm.zookeeper

## Class LeaderListenerCallbackFactory

- java.lang.Object
- - org.apache.storm.zookeeper.LeaderListenerCallbackFactory

-     public class LeaderListenerCallbackFactory
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `LeaderListenerCallbackFactory​(Map<String,​Object> conf, org.apache.storm.shade.org.apache.curator.framework.CuratorFramework zk, BlobStore blobStore, TopoCache tc, IStormClusterState clusterState, List<org.apache.storm.shade.org.apache.zookeeper.data.ACL> acls, StormMetricsRegistry metricsRegistry, Object submitLock)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `org.apache.storm.shade.org.apache.curator.framework.recipes.leader.LeaderLatchListener` | `create​(ILeaderElector elector)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### LeaderListenerCallbackFactory

          public LeaderListenerCallbackFactory​(Map<String,​Object> conf,
                                               org.apache.storm.shade.org.apache.curator.framework.CuratorFramework zk,
                                               BlobStore blobStore,
                                               TopoCache tc,
                                               IStormClusterState clusterState,
                                               List<org.apache.storm.shade.org.apache.zookeeper.data.ACL> acls,
                                               StormMetricsRegistry metricsRegistry,
                                               Object submitLock)

  - ### Method Detail

    - #### create

          public org.apache.storm.shade.org.apache.curator.framework.recipes.leader.LeaderLatchListener create​(ILeaderElector elector)
                                                                                                        throws UnknownHostException

      Throws:
        `UnknownHostException`